CreateSNSTextTemplate
CreateSNSTextTemplate
POST
/zstack/v1/zwatch/alarms/sns/text-templatesOperation ID
CreateSNSTextTemplateSince
2.3Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
applicationPlatformTypeStringRequiredThe type of the SNS application platform.
templateStringRequiredThe template text.
recoveryTemplateStringRequiredThe recovery template text, which is a string.
defaultTemplateBooleanOptional. Whether to set the template as the default template.
resourceUuidStringOptional.
typeStringOptional.
tagUuidsListOptional. the tag UUID list.
subjectStringOptional. The subject.
recoverySubjectStringRequiredThe recovery subject.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
